class MentionType {
  static const app = 0;
  static const user = 1;
}

/// Describe Mention Object.
class Mention {
  Mention.fromJSON(Map<String, dynamic> json)
      : userId = json['userId'],
        type = json['type'],
        startIndex = json['startIndex'],
        endIndex = json['endIndex'];

  String userId;
  int startIndex;
  int endIndex;
  int type;

  @override
  String toString() {
    return 'Mention{type: $type, '
        'userId: $userId, '
        'startIndex: $startIndex, '
        'endIndex: $endIndex'
        '}';
  }
}
