import '../src/utils.dart';
import '../usermanagement/user.dart';

/// Describe User Reaction.
class UserReactions {
  UserReactions.fromJSON(Map<String, dynamic> json)
      : user = User.fromJson(json['user']),
        reactions = Utils.createStringList(json['reactions']);

  /// User who created the reaction.
  User user;

  /// Reactions created by the user.
  List<String> reactions;

  @override
  String toString() {
    return 'UserReactions{'
        'user: $user, '
        'reactions: $reactions'
        '}';
  }
}
