import '../usermanagement/user.dart';

class PrivateUser extends User {
  final Map<String, String> privateProperties;

  PrivateUser.fromJson(Map<String, dynamic> json)
      : privateProperties = Map<String, String>.from(json['privateProperties']),
        super.fromJson(json);

  @override
  String toString() {
    return 'PrivateUser{${super.toString()}, privateProperties: $privateProperties}';
  }
}
