import 'package:flutter/material.dart';
import 'package:getsocial_example/base_list.dart';
import 'package:getsocial_example/common.dart';

class SettingsMenu extends BaseListView {
  SettingsMenu(StateProvider stateProvider) : super(stateProvider);

  @override
  List<ListButton> get buttons => [
        ListButton("< Back", (context) => Navigator.pop(context)),
        ListButton("Languages",
            (context) => Navigator.pushNamed(context, "/language_menu")),
      ];

  updateState() {
    stateProvider.updateState();
  }
}
