import '../../common/codable.dart';

import '../../common/useridlist.dart';
import '../../src/communitiesids.dart';

class FollowQuery extends Encodable {
  CommunitiesIds ids;

  FollowQuery(CommunitiesIds ids) {
    this.ids = ids;
  }

  static FollowQuery topics(List<String> ids) {
    return FollowQuery(CommunitiesIds.topics(ids));
  }

  static FollowQuery users(UserIdList ids) {
    return FollowQuery(CommunitiesIds.users(ids));
  }

  Map<String, dynamic> toJSON() => {
        'ids': ids.toJSON(),
      };
}
