import '../../common/codable.dart';
import '../../common/userid.dart';

class FriendsQuery extends Encodable {
  UserId userId;

  FriendsQuery(UserId userId) {
    this.userId = userId;
  }

  static FriendsQuery ofUser(UserId id) {
    return FriendsQuery(id);
  }

  Map<String, dynamic> toJSON() => {
        'userId': userId.toJSON(),
      };
}
