import '../../common/codable.dart';
import '../../src/communitiesids.dart';

class ReactionsQuery extends Encodable {
  CommunitiesIds ids;
  String reaction;

  ReactionsQuery(CommunitiesIds ids) {
    this.ids = ids;
  }

  static ReactionsQuery forActivity(String id) {
    return ReactionsQuery(CommunitiesIds.activity(id));
  }

  ReactionsQuery filterByReaction(String reacion) {
    this.reaction = reacion;
    return this;
  }

  Map<String, dynamic> toJSON() => {'ids': ids.toJSON(), 'reaction': reaction};
}
