import '../../common/codable.dart';

class RemoveActivitiesQuery extends Encodable {
  List<String> ids;

  RemoveActivitiesQuery(List<String> ids) {
    this.ids = ids;
  }

  static RemoveActivitiesQuery activityIds(List<String> ids) {
    return RemoveActivitiesQuery(ids);
  }

  Map<String, dynamic> toJSON() => {
        'ids': ids,
      };
}
