/// Describe Invite object.
class Invite {
  Invite.fromJSON(Map<String, dynamic> json)
      : subject = json['subject'],
        text = json['text'],
        userName = json['userName'],
        imageUrl = json['imageUrl'],
        gifUrl = json['gifUrl'],
        videoUrl = json['videoUrl'],
        referralUrl = json['referralUrl'],
        linkParams = Map<String, String>.from(json['linkParams']);

  String subject;
  String text;
  String userName;
  String imageUrl;
  String gifUrl;
  String videoUrl;
  String referralUrl;
  Map<String, String> linkParams;

  @override
  String toString() {
    return 'Invite{ '
        'subject: $subject,'
        'text: $text,'
        'userName: $userName,'
        'imageUrl: $imageUrl,'
        'gifUrl: $gifUrl,'
        'videoUrl: $videoUrl,'
        'referralUrl: $referralUrl,'
        'linkParams: $linkParams'
        '}';
  }
}
