/// Describe InviteChannel object.
class InviteChannel {
  InviteChannel.fromJSON(Map<String, dynamic> json)
      : channelId = json['id'],
        name = json['name'],
        iconUrl = json['iconImageUrl'],
        displayOrder = json['displayOrder'];

  String name;
  String channelId;
  String iconUrl;
  int displayOrder;

  @override
  String toString() {
    return 'InviteChannel{name: $name, channelId: $channelId, iconUrl: $iconUrl, displayOrder: $displayOrder}';
  }
}
